Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install unzip
# END SourceDeps(oneline)
%define oldname PyPE
%define fedora 27
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%global rev b28669c7f5e1a409ea0aee2dbfb11b75ea5411fa

Name:           python-module-PyPE
Version:        2.9.4
Release:        alt1_11
Summary:        Lightweight but powerful graphical editor for developers

License:        GPLv2
URL:            http://pype.sourceforge.net/
#Source0:        http://downloads.sourceforge.net/project/pype/pype/%{oldname} %{version}/%{oldname}-%{version}-src.zip
Source0:        https://sourceforge.net/code-snapshots/git/p/py/pype/code.git/pype-code-%{rev}.zip
Source1:        PyPE.desktop

BuildArch:      noarch
Requires:       wxPython
BuildRequires:  python-devel
BuildRequires:  python-module-wx3.0-devel
BuildRequires:  desktop-file-utils
Source44: import.info

%description
PyPE (Python Programmers' Editor) was written in order to offer a
lightweight but powerful editor for those of you who think Emacs is too
much and idle is too little. Syntax highlighting is included out of the
box, as is multiple open documents via tabs.


%prep
%setup -q -n pype-code-%{rev}

# We don't need these pre-compiled files (if any)
find \( -name "*.pyc" -or -name "*.pyw" \) -exec rm -f {} \;

# Convert file to UTF-8
for file in sample_dictionary.txt plugins/parsers.py; do
  iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
  touch -r $file $file.new && \
  mv $file.new $file
done

# CRLF -> LF
for file in changelog.txt readme.txt gpl.txt lgpl.txt wxwindows.txt sample_alphabet.txt sample_dictionary.txt plugins/parsers.py pype.py; do
  sed "s|\r||g" $file > $file.new && \
  touch -r $file $file.new && \
  mv $file.new $file
done

# Remove unnecessary shebang
sed -i -e '/^#!\//, 1d' plugins/parsers.py

# Directly call python (there's nonprintable chars in front of the shebang, therefore we search for ^.*# and not ^#)
sed -i -e 's|^.*#!/usr/bin/env python|#!/usr/bin/python|' pype.py

# Make the main script executable
chmod 755 pype.py


%build
%{__python} setup.py build


%install
# Delete this script before it gets copied below
rm -f setup.py

mkdir -p $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/%{oldname}
cp -p  *.py stc-styles.rc.cfg MANIFEST.in PKG-INFO readme.{txt,html} $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/%{oldname}
cp -pR icons macros plugins $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/%{oldname}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s %{python_sitelibdir_noarch}/%{oldname}/pype.py $RPM_BUILD_ROOT%{_bindir}/pype

sed -e "s;PYTHONPATH;%{python_sitelibdir_noarch};g" %{SOURCE1} > %{oldname}.desktop
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  %if 0%{?fedora} >= 10
  --remove-key=Encoding \
  %endif
  %{oldname}.desktop

%files
%doc --no-dereference gpl.txt
%doc changelog.txt readme.txt readme.html sample_*
%{_bindir}/pype
%{python_sitelibdir_noarch}/%{oldname}
%{_datadir}/applications/%{oldname}.desktop

%changelog
* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_11
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_9
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_8
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_7
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_6
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_5
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_4
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_3
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_2
- update to new release by fcimport

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.1-alt1_8
- update to new release by fcimport

* Tue Jan 08 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.1-alt1_7
- initial fc import

